<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
                
   <xsl:template match="p">
<xsl:choose>
<xsl:when test="@rend='blockquote'">
    <p class="blockquote">
      <xsl:apply-templates/>
    </p>
  </xsl:when>
  <xsl:when test="@rend='indented'">
    <p class="indented">
      <xsl:apply-templates/>
    </p>
    </xsl:when>
  <xsl:when test="@rend='hangInd'">
    <p class="hangInd">
      <xsl:apply-templates/>
    </p>
    </xsl:when>
  <xsl:when test="@rend='plain'">
    <p class="plain">
      <xsl:apply-templates/>
    </p>
  </xsl:when>
  <xsl:when test="@rend='epigram-ref'">
    <p style="font-size:10pt; text-align:right; margin-top:0">
      <xsl:apply-templates/>
    </p>
  </xsl:when>
  <xsl:otherwise>
          <p>
      <xsl:apply-templates/>
          </p>
  </xsl:otherwise>
  </xsl:choose>
  </xsl:template>
  
<!-- Bibliographical renderings -->

    <xsl:template match="biblStruct">
    <p class="hangInd">
      <xsl:apply-templates/></p></xsl:template>
  <xsl:template match="author">
    <xsl:choose>
     <xsl:when test="substring(., string-length(.)) = '.'">
    <xsl:apply-templates/>&#160;
  </xsl:when>
  <xsl:otherwise>
      <xsl:apply-templates/>.&#160;    
  </xsl:otherwise>
</xsl:choose>
</xsl:template>

  <xsl:template match="editor">
 <xsl:apply-templates/>, ed.&#160;
</xsl:template>

 <xsl:template match="date">
    <xsl:if test="(parent::p)">
    <xsl:apply-templates/>
  </xsl:if>
    <xsl:apply-templates/>. 
</xsl:template>

  <xsl:template match="pubPlace">
    <xsl:apply-templates/>:&#160;
</xsl:template>
  <xsl:template match="publisher">
    <xsl:apply-templates/>,&#160;
</xsl:template>

 <xsl:template match="biblScope">
    <xsl:choose>
      <xsl:when test="ancestor::listBibl">
        <xsl:if test="@type='vol'">
          vol. <xsl:apply-templates/>, 
        </xsl:if>
        <xsl:if test="@type='pages'">
          pages <xsl:apply-templates/>. 
        </xsl:if>
</xsl:when>
      <xsl:when test="ancestor::quote[@rend='block']">
(<xsl:apply-templates/>) 
      </xsl:when>
      <xsl:when test="ancestor::p">
(<xsl:apply-templates/>) 
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise></xsl:choose></xsl:template>



 <xsl:template match="title">
    <xsl:choose>
    <xsl:when test="ancestor::listBibl">
<xsl:choose>
<xsl:when test="@level='m'">
    <span style="font-style:italic">
      <xsl:apply-templates/>. </span>
</xsl:when>
<xsl:when test="@level='j'">
    <span style="font-style:italic">
      <xsl:apply-templates/>. 
    </span> 
</xsl:when>
<xsl:when test="@level='a'">
&quot;<xsl:apply-templates/>.&quot;
  </xsl:when>
<xsl:when test="@level='u'">
&quot;<xsl:apply-templates/>.&quot;
  </xsl:when>
 <xsl:when test="@rend='bold'">
  <span style="font-weight:bold"><xsl:apply-templates/></span>
</xsl:when>
<xsl:otherwise>
  <span style="font-style:italic"><xsl:apply-templates/></span>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
     <xsl:choose>
<xsl:when test="@level='m'">
    <span style="font-style:italic"><xsl:apply-templates/></span>. 
</xsl:when>
<xsl:when test="@level='j'">
    <span style="font-style:italic">
      <xsl:apply-templates/>. 
    </span> 
</xsl:when>
<xsl:when test="@level='a'">
&quot;<xsl:apply-templates/>.&quot; 
  </xsl:when>
<xsl:when test="@level='u'">
&quot;<xsl:apply-templates/>.&quot; 
  </xsl:when>
<xsl:otherwise>
  <span style="font-style:italic"><xsl:apply-templates/></span>
</xsl:otherwise>
</xsl:choose></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="lg">
  <p class="plain">
   <xsl:apply-templates/>
  </p>
 </xsl:template>
<xsl:template match="l">
  <p class="verseline">
   <xsl:apply-templates/>
  </p>
 </xsl:template>


  <xsl:template match="bibl">
      <xsl:choose>
     <xsl:when test="ancestor::listBibl">    
    <p class="hangInd">
      <xsl:apply-templates/></p>
</xsl:when>
      <xsl:otherwise>
       <xsl:apply-templates/>
       </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="foreign[@lang='sa']">
    <span style="font-style:italic; font-family: TITUS Cyberbit Basic">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  <xsl:template match="foreign">
    <span style="font-style:italic">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  <xsl:template match="gloss[@lang='cjk']">
    <span style="font-family:MingLiu;font-style:normal">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  <xsl:template match="gloss[@lang='en']">
 <span style="font-style:normal"> (<xsl:apply-templates/>)</span> 
  </xsl:template>
 
 <xsl:template match="emph">
   <xsl:choose>
     <xsl:when test="@rend='bold'">
   <span style="font-weight:bold"><xsl:apply-templates/></span>       
     </xsl:when>
     <xsl:otherwise>
    <span style="font-style:italic"><xsl:apply-templates/></span>       
     </xsl:otherwise>
 </xsl:choose>
  </xsl:template>

  <xsl:template match="note">
    <xsl:choose>
      <xsl:when test="parent::biblStruct">
        [Note: <xsl:apply-templates/>]
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="@place='interlinear'">
    <span style="font-size:11pt">[Interlinear Note: 
   <xsl:apply-templates/>
]</span>
  </xsl:when>
  <xsl:when test="@place='bibl'">
    <xsl:apply-templates/>.&#160;
 </xsl:when>
<xsl:when test="@rend='paren'">
  (<xsl:apply-templates/>)
</xsl:when></xsl:choose></xsl:otherwise></xsl:choose></xsl:template>

  <xsl:template match="quote">
  <xsl:choose>
  <xsl:when test="@rend='dq'">
 &quot;<xsl:apply-templates/>&quot;
</xsl:when>
  <xsl:when test="@rend='sq'">
 '<xsl:apply-templates/>'
</xsl:when>
  <xsl:when test="@rend='brackets'">
「<xsl:apply-templates/>」
</xsl:when>
<xsl:when test="@rend='epigram'">
     <p style="font-size:10pt; line-height:5mm; margin-bottom:0; margin-top:0"><xsl:apply-templates/></p>
</xsl:when>
  <xsl:when test="@rend='block'">
    <xsl:choose>
      <xsl:when test="ancestor::note">
     <p class="notesblockquote">
      <xsl:apply-templates/>
    </p>       
      </xsl:when>
      <xsl:otherwise>
     <p class="blockquote">
      <xsl:apply-templates/>
    </p>
      </xsl:otherwise>
    </xsl:choose>
</xsl:when>
</xsl:choose>
</xsl:template>



<xsl:template match="soCalled">
&quot;<xsl:apply-templates/>&quot;</xsl:template>
  <xsl:template match="label">
    <p>[<xsl:apply-templates/>]</p>
  </xsl:template>

<xsl:template match="table">
  <table><xsl:apply-templates/></table>
</xsl:template>
<xsl:template match="row">
  <tr><xsl:apply-templates/></tr>
</xsl:template>
<xsl:template match="cell">
  <td><xsl:apply-templates/></td>
</xsl:template>

</xsl:stylesheet>
